/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface StartSimulationRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.StartSimulationRequest)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>string simulationID = 1;</code>
   */
  java.lang.String getSimulationID();
  /**
   * <code>string simulationID = 1;</code>
   */
  com.google.protobuf.ByteString
      getSimulationIDBytes();

  /**
   * <code>int32 duration = 2;</code>
   */
  int getDuration();

  /**
   * <code>string topic = 3;</code>
   */
  java.lang.String getTopic();
  /**
   * <code>string topic = 3;</code>
   */
  com.google.protobuf.ByteString
      getTopicBytes();

  /**
   * <code>int32 totalDuration = 4;</code>
   */
  int getTotalDuration();
}
